create database smartassistant;

use smartassistant;


DROP TABLE IF EXISTS `auto_settings`;
CREATE TABLE `auto_settings` (
  `usuario` char(32) default NULL,
  `orden` int(11) default NULL,
  `accion` varchar(256) default NULL,
  `network` varchar(256) default NULL,
  `target` varchar(256) default NULL,
  `param1` varchar(256) default NULL,
  `param2` varchar(256) default NULL,
  `param3` varchar(256) default NULL,
  `param4` varchar(256) default NULL,
  `param5` varchar(256) default NULL,
  `param6` varchar(256) default NULL,
  `param7` varchar(256) default NULL,
  `param8` varchar(256) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS `cid_settings`;
CREATE TABLE `cid_settings` (
  `usuario` char(32) default NULL,
  `numberCID` varchar(256) default NULL,
  `actionID` varchar(256) default NULL,
  `actionDESC` varchar(256) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS `incall`;
CREATE TABLE `incall` (
  `usuario` char(32) default NULL,
  `param1` varchar(256) default NULL,
  `param2` varchar(256) default NULL,
  `param3` varchar(256) default NULL,
  `datetime` datetime default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





DROP TABLE IF EXISTS `main_settings`;
CREATE TABLE `main_settings` (
  `usuario` char(32) default NULL,
  `param` varchar(256) default NULL,
  `valor` varchar(256) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





DROP TABLE IF EXISTS `push_id`;
CREATE TABLE `push_id` (
  `usuario` char(32) default NULL,
  `push` char(32) default NULL,
  `status` char(32) default NULL,
  `red` char(32) default NULL,
  `datetime` datetime default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `clave` char(32) default NULL,
  `param1` varchar(256) default NULL,
  `param2` varchar(256) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





DROP TABLE IF EXISTS `target_settings`;
CREATE TABLE `target_settings` (
  `usuario` char(32) default NULL,
  `numberTAR` varchar(256) default NULL,
  `actionDESC` varchar(256) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





DROP TABLE IF EXISTS `user_device`;
CREATE TABLE `user_device` (
  `usuario` char(32) default NULL,
  `extension` varchar(256) default NULL,
  `secret` varchar(256) default NULL,
  `target` tinyint(1) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



INSERT into  settings (param1, param2 ,clave) values ('admin', 'master' , 'MANAGER');


INSERT into  settings (param1 ,clave) values ('1234567890123456' , 'SECRET');


INSERT into  settings (param1 ,clave) values ('/var/spool/asterisk/voicemail/default/' , 'VMFOLDER');


INSERT INTO asterisk.custom_destinations (custom_dest, description,notes)      SELECT 'smartassistant,s,1' , 'SmartAssistant', '' FROM dual WHERE NOT EXISTS (SELECT * FROM asterisk.custom_destinations  WHERE  custom_dest = 'smartassistant,s,1');

